### DbEnv::lock_id_free

`

###

    #include <db_cxx.h>

    int
    DbEnv::lock_id_free(u_int32_t id);

### Description: DbEnv::lock_id_free

The DbEnv::lock_id_free method frees a locker ID allocated by the DbEnv::lock_id method.

The DbEnv::lock_id_free method either returns a non-zero error value or throws an exception that encapsulates a non-zero error value on failure, and returns 0 on success.

### Parameters

id
  The id parameter is the locker id to be freed.

### Errors

The DbEnv::lock_id_free method may fail and throw DbException, encapsulating one of the following non-zero errors, or return one of the following non-zero errors:

EINVAL
  If the locker ID is invalid or locks are still held by this locker ID; or if an invalid flag value or parameter was specified.

### Class

DbEnv, DbLock

### See Also

Locking Subsystem and Related Methods`

Copyright (c) 1996-2004 Sleepycat Software, Inc. - All rights reserved.